val spigotVersion = "1.8.8" // 在这里更改你的插件适配的版本
plugins {
    java
    id("com.github.johnrengelman.shadow") version "8.1.0"
}

group = "cn.nextcraft"
version = "1.0"

repositories {
    // aliyun mirror
    maven("https://maven.aliyun.com/repository/public")
    // sonatype
    maven("https://oss.sonatype.org/content/repositories/snapshots")
    // spigotmc
    maven("https://hub.spigotmc.org/nexus/content/repositories/snapshots")
}

dependencies {
    compileOnly("org.spigotmc:spigot-api:$spigotVersion-R0.1-SNAPSHOT")
}

tasks.shadowJar {
    archiveClassifier.set("")
}

tasks.processResources {
    inputs.property("version", version)
}